{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, memberof, rds_comm\r\ndeclare subroutine rlist\r\n$insert rlist_equates\r\n\r\nSelpos = .tw_info->selpos\r\nColumn = SelPos<1>\r\nRow    = SelPos<2>\r\nbegin case\r\n   case Column = 2\r\n\t\tColData = get_property( @window:'.TW_INFO', 'COLDATA' )\r\n\t\tPopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_TW_CODES' )\r\n\t    rlist( 'SELECT TW_CODES WITH NON_PROD = 0 BY DESC', target_activelist$, '', '', '' )\t\r\n\t\tRetCode = repository( 'EXECUTE', PopupRec, @window, '' )\r\n\t\tif RetCode <> '' then\r\n\t\t   ColData<1,Row> = RetCode\r\n\t\t   Void = set_property( @window:'.TW_INFO', 'COLDATA', ColData )\r\n\t\tend\r\n   case Column = 4\r\n\t\tColData = get_property( @window:'.TW_INFO', 'COLDATA' )\r\n\t\tPopupRec = entid( @appid<1>, 'POPUP', '', 'CHOOSE_TOOL' )\r\n\t\tRetCode = repository( 'EXECUTE', PopupRec, @window, '' )\r\n\t\tif RetCode <> '' then\r\n\t\t   ColData<1,Row> = RetCode\r\n\t\t   Void = set_property( @window:'.TW_INFO', 'COLDATA', ColData )\r\n\t\tend\r\n        Void = rds_comm( \"TW_ACCT_ROW_VAL\" )\t\t\r\nend case\r\nRETURN 0"
        }
    }
}